//
// C++ Interface: rename
//
// Description: 
//
//
// Author: Spiros Georgaras <sng@hellug.gr>, (C) 2009
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef TIMESTAMP_H
#define TIMESTAMP_H

#include "ui_timestamp.h"
#include "iconload.h"
#include "main.h"
#include <QtGui/QDialog>
#include <QMouseEvent>
#include "qstring.h"



/**
 * This is the main view class for gwenrename.  Most of the non-menu,
 * non-toolbar, and non-statusbar (e.g., non frame) GUI code should go
 * here.
 *
 * @short Main view
 * @author Spiros Georgaras <sng@hellug.gr>
 * @version 1.1
 */

class timeStamp : public QDialog, public Ui::tStamp
{
    Q_OBJECT
public:
    /**
     * Default constructor
     */
     timeStamp(QWidget * parent = 0);
		 timeStamp(QWidget* parent , iconload* ic );
		 bool checkFormat( QString t );
    /**
     * Destructor
     */
    virtual ~timeStamp();
		void readConfig( int index );

private:
    Ui::tStamp tS;
		
		void getExampleDate();
		void loadUserFormats( int index );
		void rCreationChanged( int state );
		int isFormat( QString s );
		void updateFormat();		
		void writeConfig( int index );
		void keyPressEvent( QKeyEvent *e );
// signals:
//     /**
//      * Use this signal to change the content of the statusbar
//      */
//     void signalChangeStatusbar(const QString& text);
// 
//     /**
//      * Use this signal to change the content of the caption
//      */
//     void signalChangeCaption(const QString& text);
// 
private slots:
	void showHelp();
	void txtFormatTextChanged( const QString &txt );
	void kFormatActivated( int item );
	void rCreationChanged();
	void rModifiedChanged();
	void rReadChanged();
	void OkClicked();
	void CancelClicked();
};



#endif // TIMESTAMP_H
